## resolv-wrapper 1.1.4

=== CMakeLists.txt ===
project(resolv_wrapper C)

# Required cmake version
cmake_minimum_required(VERSION 2.8.0)

# global needed variables
set(APPLICATION_NAME ${PROJECT_NAME})

set(APPLICATION_VERSION_MAJOR "1")
set(APPLICATION_VERSION_MINOR "1")
set(APPLICATION_VERSION_PATCH "4")

set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")

# SOVERSION scheme: CURRENT.AGE.REVISION
#   If there was an incompatible interface change:
#     Increment CURRENT. Set AGE and REVISION to 0
#   If there was a compatible interface change:
#     Increment AGE. Set REVISION to 0
#   If the source code was changed, but there were no interface changes:
#     Increment REVISION.
set(LIBRARY_VERSION "0.0.4")
set(LIBRARY_SOVERSION "0")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefinePlatformDefaults)
include(DefineInstallationPaths)
include(DefineOptions.cmake)
include(CPackConfig.cmake)

# disallow in-source build
include(MacroEnsureOutOfSourceBuild)
macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")

# Find out if we have threading available
set(CMAKE_THREAD_PREFER_PTHREADS ON)
find_package(Threads)

# config.h checks
include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# Add compiler flags for the project now.
include(DefineCompilerFlags)

# check subdirectories
add_subdirectory(src)

# pkg-config file
get_filename_component(RESOLV_WRAPPER_LIB ${RESOLV_WRAPPER_LOCATION} NAME)

configure_file(resolv_wrapper.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/resolv_wrapper.pc @ONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/resolv_wrapper.pc
  DESTINATION
    ${LIB_INSTALL_DIR}/pkgconfig
  COMPONENT
    pkgconfig
)

# cmake config files
configure_file(resolv_wrapper-config-version.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/resolv_wrapper-config-version.cmake @ONLY)
configure_file(resolv_wrapper-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/resolv_wrapper-config.cmake @ONLY)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/resolv_wrapper-config-version.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/resolv_wrapper-config.cmake
    DESTINATION
        ${CMAKE_INSTALL_DIR}/resolv_wrapper
    COMPONENT
        devel
)

add_subdirectory(doc)
if (UNIT_TESTING)
    find_package(cmocka REQUIRED)
    include(AddCMockaTest)
    add_subdirectory(tests)
endif (UNIT_TESTING)

=== debian/changelog ===
resolv-wrapper (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Jun 2016 16:52:00 +0000

resolv-wrapper (1.1.3-1) unstable; urgency=low

  * Initial upload (closes: #819986).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 Apr 2016 15:37:18 +0000

## resolv-wrapper 1.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 set(APPLICATION_VERSION_MAJOR "1")
 set(APPLICATION_VERSION_MINOR "1")
-set(APPLICATION_VERSION_PATCH "4")
+set(APPLICATION_VERSION_PATCH "5")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
 
@@ -19,7 +19,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.0.4")
+set(LIBRARY_VERSION "0.0.5")
 set(LIBRARY_SOVERSION "0")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked

=== doc/CMakeLists.txt ===
install(FILES
            resolv_wrapper.1
        DESTINATION
            ${MAN_INSTALL_DIR}/man1)

=== src/CMakeLists.txt ===
project(libresolv_wrapper C)

include_directories(${CMAKE_BINARY_DIR})
add_library(resolv_wrapper SHARED resolv_wrapper.c)
target_link_libraries(resolv_wrapper ${RWRAP_REQUIRED_LIBRARIES})

set_target_properties(
  resolv_wrapper
    PROPERTIES
      VERSION
        ${LIBRARY_VERSION}
      SOVERSION
        ${LIBRARY_SOVERSION}
)

install(
  TARGETS
    resolv_wrapper
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)

# This needs to be at the end
if (POLICY CMP0026)
    cmake_policy(SET CMP0026 OLD)
endif()
get_target_property(RWRAP_LOCATION resolv_wrapper LOCATION)
set(RESOLV_WRAPPER_LOCATION ${RWRAP_LOCATION} PARENT_SCOPE)

=== tests/CMakeLists.txt ===
project(tests C)

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${CMOCKA_INCLUDE_DIR}
)

set(TORTURE_LIBRARY torture)

# A simple DNS server for testing
add_executable(dns_srv dns_srv.c)
target_link_libraries(dns_srv ${RWRAP_REQUIRED_LIBRARIES})

add_executable(test_real_res_query test_real_res_query.c)
target_link_libraries(test_real_res_query ${RWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})

configure_file(fake_hosts.in ${CMAKE_CURRENT_BINARY_DIR}/fake_hosts @ONLY)

add_library(${TORTURE_LIBRARY} STATIC torture.c)
target_link_libraries(${TORTURE_LIBRARY}
    ${CMOCKA_LIBRARY}
    ${SWRAP_REQUIRED_LIBRARIES})


set(TESTSUITE_LIBRARIES ${RWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})
if (HAVE_LIBRESOLV)
    set(TESTSUITE_LIBRARIES ${TESTSUITE_LIBRARIES} resolv)
endif()

set(RWRAP_TESTS
    test_res_init)

set(PRELOAD_LIBS ${RESOLV_WRAPPER_LOCATION})

# Some tests require socket_wrapper as well.
find_package(socket_wrapper)

# On Solaris the socket functions are compiled into libresolv.so so we can't preload
# socket_wrapper. Only faking will work!
if (HAVE_LIBRESOLV AND SOCKET_WRAPPER_LIBRARY AND NOT SOLARIS)
    set(RWRAP_TESTS ${RWRAP_TESTS} test_res_query_search)
    set(PRELOAD_LIBS ${RESOLV_WRAPPER_LOCATION}:${SOCKET_WRAPPER_LIBRARY})
endif()

foreach(_RWRAP_TEST ${RWRAP_TESTS})
    add_cmocka_test(${_RWRAP_TEST} ${_RWRAP_TEST}.c ${TORTURE_LIBRARY} ${TESTSUITE_LIBRARIES})

    if (OSX)
        set_property(
            TEST
                ${_RWRAP_TEST}
            PROPERTY
                ENVIRONMENT DYLD_FORCE_FLAT_NAMESPACE=1;DYLD_INSERT_LIBRARIES=${PRELOAD_LIBS})
    else ()
        set_property(
            TEST
                ${_RWRAP_TEST}
            PROPERTY
                ENVIRONMENT LD_PRELOAD=${PRELOAD_LIBS})
    endif()
endforeach()

add_cmocka_test(test_dns_fake test_dns_fake.c ${TORTURE_LIBRARY} ${TESTSUITE_LIBRARIES})
if (OSX)
    set_property(
        TEST
            test_dns_fake
        PROPERTY
        ENVIRONMENT DYLD_FORCE_FLAT_NAMESPACE=1;DYLD_INSERT_LIBRARIES=${PRELOAD_LIBS};RESOLV_WRAPPER_HOSTS=${CMAKE_CURRENT_BINARY_DIR}/fake_hosts)
else ()
    set_property(
        TEST
            test_dns_fake
        PROPERTY
            ENVIRONMENT LD_PRELOAD=${PRELOAD_LIBS};RESOLV_WRAPPER_HOSTS=${CMAKE_CURRENT_BINARY_DIR}/fake_hosts)
endif ()

=== debian/changelog ===
resolv-wrapper (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Oct 2016 17:30:47 +0000

=== debian/control ===
Source: resolv-wrapper
Homepage: https://cwrap.org/resolv_wrapper.html
Section: devel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-buildinfo,
 cmake (>= 2.8.8-3~),
 libcmocka-dev (>= 0.4.1),
 asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
XS-Testsuite: autopkgtest
Standards-Version: 3.9.8

Package: libresolv-wrapper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: wrapper for DNS name resolving or DNS faking
 Makes it possible to contact your own DNS implementation in your test
 environment. It requires socket_wrapper to be able to contact the server.
 Alternatively, the wrapper is able to fake DNS queries and return valid
 responses to your application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_install:
	a2x --doctype manpage --format manpage doc/resolv_wrapper.1.txt
	dh_auto_install

%:
	dh $@ --parallel --builddirectory=$(CURDIR)/obj/

.PHONY: override_dh_auto_install

## resolv-wrapper 1.1.6

=== CMakeLists.txt ===
# Required cmake version
cmake_minimum_required(VERSION 3.5.0)
cmake_policy(SET CMP0048 NEW)

# Specify search path for CMake modules to be loaded by include()
# and find_package()
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")

# Add defaults for cmake
# Those need to be set before the project() call.
include(DefineCMakeDefaults)
include(DefineCompilerFlags)

project(resolv_wrapper VERSION 1.1.6 LANGUAGES C)

# global needed variables
set(APPLICATION_NAME ${PROJECT_NAME})

# SOVERSION scheme: MAJOR.MINOR.PATCH
#   If there was an incompatible interface change:
#     Increment MAJOR. Set MINOR and PATCH to 0
#   If there was a compatible interface change:
#     Increment MINOR. Set PATCH to 0
#   If the source code was changed, but there were no interface changes:
#     Increment PATCH.
set(LIBRARY_VERSION_MAJOR 0)
set(LIBRARY_VERSION_MINOR 0)
set(LIBRARY_VERSION_PATCH 6)
set(LIBRARY_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
set(LIBRARY_SOVERSION ${LIBRARY_VERSION_MAJOR})

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefinePlatformDefaults)
include(GNUInstallDirs)
include(DefineOptions.cmake)
include(CPackConfig.cmake)
include(CompilerChecks.cmake)

# Find out if we have threading available
set(CMAKE_THREAD_PREFER_PTHREADS ON)
find_package(Threads)

# config.h checks
include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# check subdirectories
add_subdirectory(src)

# pkg-config file
get_filename_component(RESOLV_WRAPPER_LIB ${RESOLV_WRAPPER_LOCATION} NAME)

configure_file(resolv_wrapper.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/resolv_wrapper.pc @ONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/resolv_wrapper.pc
  DESTINATION
     ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  COMPONENT
    pkgconfig
)

# cmake config files
configure_file(resolv_wrapper-config-version.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/resolv_wrapper-config-version.cmake @ONLY)
configure_file(resolv_wrapper-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/resolv_wrapper-config.cmake @ONLY)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/resolv_wrapper-config-version.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/resolv_wrapper-config.cmake
    DESTINATION
        ${CMAKE_INSTALL_LIBDIR}/cmake/resolv_wrapper
    COMPONENT
        devel
)

add_subdirectory(doc)
if (UNIT_TESTING)
    find_package(cmocka 1.1.0 REQUIRED)
    include(AddCMockaTest)
    add_subdirectory(tests)
endif (UNIT_TESTING)

=== debian/changelog ===
resolv-wrapper (1.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 12:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 11 Apr 2020 19:29:57 +0000

## resolv-wrapper 1.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
 
-project(resolv_wrapper VERSION 1.1.6 LANGUAGES C)
+project(resolv_wrapper VERSION 1.1.7 LANGUAGES C)
 
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
@@ -25,7 +25,7 @@
 #     Increment PATCH.
 set(LIBRARY_VERSION_MAJOR 0)
 set(LIBRARY_VERSION_MINOR 0)
-set(LIBRARY_VERSION_PATCH 6)
+set(LIBRARY_VERSION_PATCH 7)
 set(LIBRARY_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
 set(LIBRARY_SOVERSION ${LIBRARY_VERSION_MAJOR})

=== debian/changelog ===
resolv-wrapper (1.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 30 Aug 2020 07:41:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-buildinfo,
  cmake (>= 2.8.8-3~),
  libcmocka-dev (>= 0.4.1),
  asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 
 Package: libresolv-wrapper
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,6 @@
 	dh_auto_install
 
 %:
-	dh $@ --parallel --builddirectory=$(CURDIR)/obj/
+	dh $@ --builddirectory=$(CURDIR)/obj/
 
 .PHONY: override_dh_auto_install

=== debian/tests/control ===
Tests: tests
Depends: libresolv-wrapper,
 build-essential,
 cmake (>= 2.8.8-3~),
 libcmocka-dev (>= 0.4.1),
Restrictions: allow-stderr

Tests: adequate
Depends: libresolv-wrapper, adequate

## resolv-wrapper 1.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
 
-project(resolv_wrapper VERSION 1.1.7 LANGUAGES C)
+project(resolv_wrapper VERSION 1.1.8 LANGUAGES C)
 
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
@@ -25,7 +25,7 @@
 #     Increment PATCH.
 set(LIBRARY_VERSION_MAJOR 0)
 set(LIBRARY_VERSION_MINOR 0)
-set(LIBRARY_VERSION_PATCH 7)
+set(LIBRARY_VERSION_PATCH 8)
 set(LIBRARY_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
 set(LIBRARY_SOVERSION ${LIBRARY_VERSION_MAJOR})

=== doc/CMakeLists.txt ===
install(FILES resolv_wrapper.1
        DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== src/CMakeLists.txt ===
project(libresolv_wrapper C)

add_library(resolv_wrapper SHARED resolv_wrapper.c)
target_link_libraries(resolv_wrapper ${RWRAP_REQUIRED_LIBRARIES})

target_compile_options(resolv_wrapper
                       PRIVATE
                           ${DEFAULT_C_COMPILE_FLAGS}
                          -D_GNU_SOURCE)
target_include_directories(resolv_wrapper
                           PRIVATE ${CMAKE_BINARY_DIR})

set_target_properties(
  resolv_wrapper
    PROPERTIES
      VERSION
        ${LIBRARY_VERSION}
      SOVERSION
        ${LIBRARY_SOVERSION}
)

install(TARGETS resolv_wrapper
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

set(RESOLV_WRAPPER_LOCATION "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}resolv_wrapper${CMAKE_SHARED_LIBRARY_SUFFIX}" PARENT_SCOPE)

=== tests/CMakeLists.txt ===
project(tests C)

set(TORTURE_LIBRARY torture)

# A simple DNS server for testing
add_executable(dns_srv dns_srv.c)
target_compile_options(dns_srv PRIVATE ${DEFAULT_C_COMPILE_FLAGS})
target_include_directories(dns_srv PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(dns_srv ${RWRAP_REQUIRED_LIBRARIES})

add_executable(test_real_res_query test_real_res_query.c)
target_compile_options(test_real_res_query PRIVATE ${DEFAULT_C_COMPILE_FLAGS})
target_include_directories(test_real_res_query PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})
target_link_libraries(test_real_res_query ${RWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})

configure_file(fake_hosts.in ${CMAKE_CURRENT_BINARY_DIR}/fake_hosts @ONLY)

add_library(${TORTURE_LIBRARY} STATIC torture.c)
target_compile_options(${TORTURE_LIBRARY} PRIVATE ${DEFAULT_C_COMPILE_FLAGS})
target_include_directories(${TORTURE_LIBRARY} PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})
target_link_libraries(${TORTURE_LIBRARY}
    ${CMOCKA_LIBRARY}
    ${SWRAP_REQUIRED_LIBRARIES})


set(TESTSUITE_LIBRARIES ${RWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})

# Some tests require socket_wrapper as well.
find_package(socket_wrapper REQUIRED)

set(RWRAP_TESTS test_res_init)

if (HAVE_LIBRESOLV)
    set(RWRAP_TESTS ${RWRAP_TESTS} test_res_query_search)
endif()

function(ADD_CMOCKA_TEST_ENVIRONMENT _TEST_NAME)
    if (CMAKE_BUILD_TYPE)
        string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)
        if (CMAKE_BUILD_TYPE_LOWER STREQUAL "addresssanitizer")
            find_library(ASAN_LIBRARY
                         NAMES asan)
            if (NOT ASAN_LIBRARY)
                foreach(version RANGE 10 1)
                    if (NOT ASAN_LIBRARY)
                        find_library(ASAN_LIBRARY libasan.so.${version})
                    endif()
                endforeach()
            endif()
        endif()
    endif()

    if (ASAN_LIBRARY)
        list(APPEND PRELOAD_LIBRARIES ${ASAN_LIBRARY})
    endif()
    list(APPEND PRELOAD_LIBRARIES ${RESOLV_WRAPPER_LOCATION})
    list(APPEND PRELOAD_LIBRARIES ${SOCKET_WRAPPER_LIBRARY})

    if (OSX)
        set(TORTURE_ENVIRONMENT "DYLD_FORCE_FLAT_NAMESPACE=1;DYLD_INSERT_LIBRARIES=${RESOLV_WRAPPER_LOCATION}:${SOCKET_WRAPPER_LIBRARY}")
    else ()
        string(REPLACE ";" ":" _TMP_ENV "${PRELOAD_LIBRARIES}")
        set(TORTURE_ENVIRONMENT "LD_PRELOAD=${_TMP_ENV}")
    endif()

    list(APPEND TORTURE_ENVIRONMENT RESOLV_WRAPPER=1)

    foreach(_arg ${ARGN})
        list(APPEND TORTURE_ENVIRONMENT ${_arg})
    endforeach()

    set_property(TEST
                    ${_TEST_NAME}
                PROPERTY
                    ENVIRONMENT "${TORTURE_ENVIRONMENT}")
endfunction()

foreach(_RWRAP_TEST ${RWRAP_TESTS})
    add_cmocka_test(${_RWRAP_TEST}
                    SOURCES ${_RWRAP_TEST}.c
                    COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                    LINK_LIBRARIES ${TORTURE_LIBRARY} ${TESTSUITE_LIBRARIES}
                    LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
    target_include_directories(${_RWRAP_TEST} PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})

    add_cmocka_test_environment(${_RWRAP_TEST})
endforeach()

add_cmocka_test(test_dns_fake
                SOURCES test_dns_fake.c
                COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS}
                LINK_LIBRARIES ${TORTURE_LIBRARY} ${TESTSUITE_LIBRARIES}
                LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
target_include_directories(test_dns_fake PRIVATE ${CMAKE_BINARY_DIR} ${CMOCKA_INCLUDE_DIR})
add_cmocka_test_environment(test_dns_fake RESOLV_WRAPPER_HOSTS=${CMAKE_CURRENT_BINARY_DIR}/fake_hosts)

=== debian/changelog ===
resolv-wrapper (1.1.8-4) unstable; urgency=medium

  [ наб ]
  * d/control: Build-Depends: remove dh-buildinfo (see #1068809)

  [ Simon Josefsson ]
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Bump debian/* copyright years.
  * Modernize Salsa CI.
  * Fix copyright typo nit (thanks lrc).
  * Use execute_before instead of override.
  * Use watch v5.
  * Silence Salsa CI lintian.
  * Run wrap-and-sort -satbk.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 21 Oct 2025 15:16:46 +0200

resolv-wrapper (1.1.8-3) unstable; urgency=medium

  * Run wrap-and-sort -satbk.
  * Standards-Version: 4.7.0.
  * Fix lintian update-debian-copyright.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 25 Sep 2024 11:18:26 +0200

resolv-wrapper (1.1.8-2) unstable; urgency=medium

  * Make package team maintained.  Closes: #1043111.
  * Drop obsolete XS-Testsuite.
  * Add debian/upstream/metadata.
  * Add debian/upstream/signing-key.asc.
  * Update debian/watch and use pgpsigurlmangle.
  * copyright: Add myself for debian/* changes.
  * Add Vcs-* fields.
  * Add Rules-Requires-Root: no.
  * Build with hardening=+all.
  * Drop versioned constraint on cmake and
    libcmocka-dev (unnecessary since buster).
  * Rebuild manpage with asciidoctor since upstream uses that.
  * tests: Fix debci failure.  Add libsocket-wrapper dependency.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 06 Aug 2023 13:32:33 +0200

resolv-wrapper (1.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Jan 2023 12:44:51 +0100

=== debian/control ===
Source: resolv-wrapper
Homepage: https://cwrap.org/resolv_wrapper.html
Section: devel
Priority: optional
Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
Uploaders:
 Laszlo Boszormenyi (GCS) <gcs@debian.org>,
 Timo Aaltonen <tjaalton@debian.org>,
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 asciidoctor,
 cmake,
 libcmocka-dev,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/sssd-team/resolv-wrapper.git
Vcs-Browser: https://salsa.debian.org/sssd-team/resolv-wrapper

Package: libresolv-wrapper
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: wrapper for DNS name resolving or DNS faking
 Makes it possible to contact your own DNS implementation in your test
 environment. It requires socket_wrapper to be able to contact the server.
 Alternatively, the wrapper is able to fake DNS queries and return valid
 responses to your application.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

execute_before_dh_auto_install:
	asciidoctor -b manpage -d manpage doc/resolv_wrapper.1.adoc

%:
	dh $@ --builddirectory=$(CURDIR)/obj/

=== debian/watch ===
Version: 5
Source: https://ftp.samba.org/pub/cwrap/
Matching-Pattern: resolv_wrapper-@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.asc/
